max S , Belgium


Audio Jan 12 2009
Score 54%
46 Dislikes


Amarok 1.x Scripts Oct 22 2008
Score 50%
50 Dislikes

Amarok 1.x Scripts 104 comments

Score 50%
50 Dislikes
Oct 22 2008
Interesting. I think it is a bug in amarok, because you two use the same (beta?) version of amarok. Amarok should start scripts in the scripts-data/ directory. You should report it on to have some expert opinion on this - May 09 2009
Sorry, i don't understand what did wrong. The log doesn't give any useful infos. I don't think we need more dependencies that those needed to run Amarok, and i don't have your problem, so i'm afraid i can't help you more. Are you sure the window doesn't appear anywhere, sometimes it is behind Amarok main window, or perhaps on different virtual desktop?
- Apr 29 2009
A new standalone program compatible with Amarok 2, xmms2, vlc and many other player is available at

This is still pre-alpha, and so has only a small subset of the weekalarm features, but it works for me (tm).

Note that it is based on pygtk, so you will need to install the python-gtk package. - Dec 21 2008
Are you using Amarok 2? It only work with Amarok 1.4.x (and it probably won't work with too old versions). Also, try to install it via "get more script". - Dec 09 2008
what do you mean by not starting? do you get an error? Is there a little play icon near weekalarm?
- Dec 08 2008
It will, but it could take some times. - Oct 26 2008
This should be fixed in 1.3.3 - Oct 10 2008
The fix is simply to show the dialog when user click very soon on the configure button. Are you sure it doesn't show? it may pop under amarok, especially on a gnome environment. - Sep 17 2008
Hi, i would need some info:
* The content of ~/.kde/share/apps/amarok/script-data/weekalarm.log
* The version of PyQt you use
* Version of python

You can send all this by mail if you want.

Thank you. - Sep 11 2008
And i didn't understand what you said about python: As the README says, weekalarm support python 2.4, which is the oldest maintened version of python. I don't think many person still use python2.3. - Sep 05 2008
I think i have fixed your second problem.

For the save and cancel buttons, it may be caused by an outdated version of python-qt, but i don't really know. Was it working with a precedent version? On what distrib are you? - Sep 05 2008
The support of amarok 2 will need a complete rewrite, and the api is not finished yet, so be patient... - Sep 05 2008
Do you have screenshot ? - Sep 03 2008
Thank you for your comments, I don't have much time now but i will look at this as soon as i have some time - Jun 11 2008
Unfortunately, I don't think it's possible with the current dcop interface. Maybe this will be possible in Amarok 2 (but I doubt). - May 23 2008
You need the PyQT bindings. In Ubuntu, they are available in the python-qt3 package. You can also dowload it directly from - May 17 2008
It seems that you don't have dcop installed (or it is not in your PATH). what does "which dcop" return? - Apr 08 2008
OK , so /usr/bin/python still link to python2.4, and it is not python2.5 that execute the script but python2.4. The solution is to do

# cd /usr/bin
# rm python
# ln -s python2.5 python
(as root of course).
You can also remove python 2.4, if you don't need it. - Feb 10 2008
The script need python 2.5 because it use with.

I don't quite understand what's the problem. Can you uninstall the script in amarok, install version 1.0.1 run:
python2.5 ~/.kde/share/apps/amarok/scripts/weekalarm/ and tell me what happen, please.

Regards. - Feb 10 2008
Thank you. This script need python 2.5 at least. Your python interpreter is probably older. - Feb 10 2008
Thank you. It's fixed in 1.0 - Feb 09 2008

Amarok 1.x Scripts 3 comments

Score 50%
50 Dislikes
May 19 2007
Maybe you could use x-www-browser which point to the default browser (at least on Debian and KUbuntu, I'm not sure for the others) - Mar 20 2008